Subject: Re: [PATCH] add: don't complain when adding empty project root

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Dec 2013 10:54:43 -0800

Jonathan Nieder <[email-masked]> writes:

> How about something like the following, for squashing in?
>
> With or without the tweaks below,
> Reviewed-by: Jonathan Nieder <[email-masked]>

Thanks, both.

Regarding "git add --refresh" (no other arguments), it would say
"Nothing specified, nothing added.", and that is unrelated to the
breakage reported and fixed in this thread, I think.  It is the same
message "git add" (no other arguments) gives, which I think is a
mistake.  "git add --refresh" is like "git add -u" in that the
affected paths are determined by the index, and running these
commands while your index is still empty can just be a silent no-op.